<?php 
/**
* 实现utf8到big5的转换
*
* @version 1.0.0
* @package Charset
*/
class __utf8_big5 extends CharsetTool 
{
	/**
	* 构造函数
	* 
	* @access public
	*/
	function __construct()
	{
		parent::__construct();	
	}	
	
	/**
	* 转换编码
	*
	* @param string $string 要转换的字符串
	* @return string 转换的结果
	* @access public
	*/
	function convert($string)
	{
		$out = "";
    	$len = strlen($string);
    	$i = 0;
    	/*
		if (!Pfc::has("big5_unicode_table"))
    	{
    		$lines = file($this->dir . "/Charset/tables/big5-unicode.table");
    		Pfc::set("big5_unicode_table", $lines);
    	}
    	else 
    	{
    		$lines = Pfc::get("big5_unicode_table");	
    	}
		*/
        
		$lines = file($this->dir . "/Charset/tables/big5-unicode.table");
     /*
		if ($lines){
		 echo "ok";
		}else{
		echo "no";
		}
      */
		$array = array();
		foreach ($lines as $v)
		{
    		$array[hexdec(substr($v, 7, 6))] = substr($v, 0, 6);
		}


    	while ($i < $len) 
    	{
    		$c = ord(substr( $string, $i++, 1));
			switch($c >> 4)
			{
				case 0: 
				case 1: 
				case 2: 
				case 3: 
				case 4: 
				case 5: 
				case 6: 
				case 7:
						$out .= substr($string, $i-1, 1);
						break;
				case 12: 
				case 13:
						$char2 = ord(substr($string, $i++, 1));
						$char3 = $array[(($c & 0x1F) << 6) | ($char2 & 0x3F)];
					    $out .= parent::hex2bin($char3);
						break;
				case 14:
						$char2 = ord(substr($string, $i++, 1));
						$char3 = ord(substr($string, $i++, 1));
						$char4 = $array[(($c & 0x0F) << 12) | (($char2 & 0x3F) << 6) | (($char3 & 0x3F) << 0)];
						$out .= parent::hex2bin($char4);
						break;
			}	
    	}	
    	return $out;
	}
}

?>