<?php
include_once "inc/global.php";
include_once ("jpgraph.php");
include_once ("jpgraph_bar.php");
include_once "GD_Drive.php";
$GDDriver = new GDDrive();
$String   = $GDDriver->ReadTmpGD("../statistics/SaleMap.day.inc");
$datay    = array_slice($String,0,-5); //将最后的3个数组内容去掉。因为是年月日啊

$StringCount = count($String)-1;

$datax=array("1 day","2 day","3 day","4 day","5 day","6 day","7 day","8 day","9 day","10 day","11 day","12 day","13 day","14 day","15 day","16 day","17 day","18 day","19 day","20 day","21 day","22 day","23 day","24 day","25 day","26 day","27 day","28 day","29 day","30 day","31 day");

$width  = $String[$StringCount-1]; 
$height = $String[$StringCount];

// Set the basic parameters of the graph 
$graph = new Graph($width,$height,'auto');
$graph->SetScale("textlin");

$top    = 40;
$bottom = 30;
$left   = 60;
$right  = 30;
$graph->Set90AndMargin($left,$right,$top,$bottom);

// Nice shadow
$graph->SetShadow();

// Setup title
//$graph->title->Set("Horizontal bar graph ex 2");
//$graph->title->SetFont(FF_VERDANA,FS_BOLD,9);
//$graph->subtitle->Set("(Axis at top)");

// Setup X-axis
$graph->xaxis->SetTickLabels($datax);
$graph->xaxis->SetFont(FF_VERDANA,FS_NORMAL,8);

// Some extra margin looks nicer
$graph->xaxis->SetLabelMargin(15);

// Label align for X-axis

$graph->xaxis->SetLabelAlign('right','center');


// Add some grace to y-axis so the bars doesn't go
// all the way to the end of the plot area
$graph->yaxis->scale->SetGrace(20);
$graph->yaxis->SetLabelAlign('center','bottom');
$graph->yaxis->SetLabelAngle(35);
$graph->yaxis->SetLabelFormat('%d');
$graph->yaxis->SetFont(FF_VERDANA,FS_NORMAL,8);


// We don't want to display Y-axis
//$graph->yaxis->Hide();

// Now create a bar pot
$bplot = new BarPlot($datay);
$bplot->SetFillColor("orange");
$bplot->SetShadow('black','1','1',true);

//You can change the width of the bars if you like
$bplot->SetWidth(0.7);

// We want to display the value of each bar at the top
$bplot->value->Show();
$bplot->value->SetFont(FF_ARIAL,FS_BOLD,8);
$bplot->value->SetAlign('left','center');
$bplot->value->SetColor("black","darkred");
$bplot->value->SetFormat('%.1f');

// Add the bar to the graph
$graph->Add($bplot);


$graph->Stroke();
?>
